| Home | Libraries | People | FAQ | More

## Struct template ostreamable

boost::type_erasure::ostreamable

## Synopsis

    // In header: <boost/type_erasure/operators.hpp>

    template<typename Os = std::ostream, typename T = _self>
    struct ostreamable {

      // public static functions
      static void apply(Os &, const T &);
    };

## Description

The ostreamable concept allows an any to be written to a `std::ostream`.

### `ostreamable` public static functions

1.     static void apply(Os & out, const T & arg);